Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Interface UserSelectionComponent

All Superinterfaces:
  ContentComponent, WCMApiObject

    public interface UserSelectionComponent

extends ContentComponent

Represents a UserSelection component.

A `UserSelectionComponent` is a `ContentComponent` and cannot be stored as a separate entity in the repository.

A `UserSelectionComponent` can contain array of Principals. This interface provides methods to retrieve and set the array of Principals contained within this component.

note: since `v6.0.0`, a `UserSelectionComponent` is referred to as an `"User Selection Element"`in the Authoring UI.``

See Also:
  `ContentComponent`

Method Summary
`DocumentType<? extends UserSelectionComponent>` | `getDocumentType()` Returns the `DocumentType` of the `ContentComponent`.
`java.lang.String[]` | `getSelectionNames()` Returns the array of selections contained in this component as a `String[]`.
`java.security.Principal[]` | `getSelections()` Returns the array of Principals contained in this component as a `Principal[]`.
`void` | `setSelectionNames(java.lang.String[] selections)` Sets the Selections contained in this `UserSelectionComponent`.
`void` | `setSelections(java.security.Principal[] selections)` Sets the Principal[] contained in this `UserSelectionComponent`.

Methods inherited from interface com.ibm.workplace.wcm.api.ContentComponent
`getContainer, getName`

Method Detail

### getDocumentType

    DocumentType<? extends UserSelectionComponent> getDocumentType()

  Description copied from interface: `ContentComponent`
  Returns the `DocumentType` of the `ContentComponent`.

  Specified by:
    `getDocumentType` in interface `ContentComponent`
  Returns:
    the type
  See Also:
    `ContentComponent.getDocumentType()`

### getSelections

    java.security.Principal[] getSelections()

  Returns the array of Principals contained in this component as a `Principal[]`.

  Returns `null` if the values is not set.

  Returns:
    the Principal[]

### setSelections

    void setSelections(java.security.Principal[] selections)
                       throws OperationFailedException

  Sets the Principal[] contained in this `UserSelectionComponent`.

  Note. This method replaces any existing Principal[] in this component.

  Parameters:
    `selections` - the Principal[]
  Throws:
    `OperationFailedException` - if the Principal[] argument is `null` or the selections could not be set

### getSelectionNames

    java.lang.String[] getSelectionNames()

  Returns the array of selections contained in this component as a `String[]`. The selection names will be the DN of each selection if Workspace.isDistinguishedNamesUsed() is set.

  Returns `null` if the values is not set.

  Returns:
    the String[]

### setSelectionNames

    void setSelectionNames(java.lang.String[] selections)
                           throws OperationFailedException

  Sets the Selections contained in this `UserSelectionComponent`. The selection names will be the DN of each selection if Workspace.isDistinguishedNamesUsed() is set.

  Note. This method replaces any existing Selections in this component.

  Parameters:
    `selections` - the String[] values of the selections
  Throws:
    `OperationFailedException` - if the String[] argument is `null` or the selections could not be set

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD